# -*- coding: utf-8 -*-
from django.conf import settings
from django.utils.translation import ugettext as _
from django.contrib import admin

from jmb.core.admin.options import ExtendibleModelAdmin

from jmb.project.models import Project


class ProjectAdmin(ExtendibleModelAdmin):
    fieldsets = (
        (_('logs admin'), {
            'fields': ('creator', 'date_create', 'last_modifier', 'date_last_modify',),
 		    'classes': ('collapse',)
        }),
	    (None, {
		    'fields': (
                'organization', 'name', 'description',
                ('date_start', 'date_end',),
                'accepted'
            )
        }),
    )
    list_display = (
       'get_status_display', 'organization', 'name', 'date_start', 'date_end',
       'accepted', 'get_edit_icon','get_delete_icon',
    )

#    advanced_search_fields = ('',)

admin.site.register(Project, ProjectAdmin)
